unit frmMain;

//**************************************************************************
//
//    鼠标消息范例应用程序
//    Inside VCL随书范例
//    grhunter@2003.10.15
//
//**************************************************************************

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    ListBox1: TListBox;
    procedure FormMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
  procedure AddMouseMessage(sButtonName:String; ButtonX, ButtonY: Integer);
  begin
    ListBox1.Items.Add(Format('%s X:%d,Y:%d',[sButtonName,ButtonX, ButtonY]));
  end;
begin
  case Button of    //
    mbLeft:  AddMouseMessage('鼠标左键',X,Y);
    mbRight: AddMouseMessage('鼠标右键',X,Y);
    mbMiddle: AddMouseMessage('鼠标中键',X,Y);
  end;    // case
end;

end.
